import request from '@/utils/request'

// 查询政务外网接入列表
export function listAccess(query) {
  return request({
    url: '/system/access/list',
    method: 'get',
    params: query
  })
}

// 查询政务外网接入详细
export function getAccess(id) {
  return request({
    url: '/system/access/' + id,
    method: 'get'
  })
}

// 新增政务外网接入
export function addAccess(data) {
  return request({
    url: '/system/access',
    method: 'post',
    data: data
  })
}

// 修改政务外网接入
export function updateAccess(data) {
  return request({
    url: '/system/access',
    method: 'put',
    data: data
  })
}

// 删除政务外网接入
export function delAccess(id) {
  return request({
    url: '/system/access/' + id,
    method: 'delete'
  })
}
