import request from '@/utils/request'

// 查询机柜信息列表
export function listCabinets(query) {
  return request({
    url: '/system/cabinets/list',
    method: 'get',
    params: query
  })
}

// 查询机柜信息详细
export function getCabinets(id) {
  return request({
    url: '/system/cabinets/' + id,
    method: 'get'
  })
}

// 新增机柜信息
export function addCabinets(data) {
  return request({
    url: '/system/cabinets',
    method: 'post',
    data: data
  })
}

// 修改机柜信息
export function updateCabinets(data) {
  return request({
    url: '/system/cabinets',
    method: 'put',
    data: data
  })
}

// 删除机柜信息
export function delCabinets(id) {
  return request({
    url: '/system/cabinets/' + id,
    method: 'delete'
  })
}
