import request from '@/utils/request'

// 查询数据中心列表
export function listCenters(query) {
  return request({
    url: '/system/centers/list',
    method: 'get',
    params: query
  })
}

// 查询数据中心详细
export function getCenters(id) {
  return request({
    url: '/system/centers/' + id,
    method: 'get'
  })
}

// 新增数据中心
export function addCenters(data) {
  return request({
    url: '/system/centers',
    method: 'post',
    data: data
  })
}

// 修改数据中心
export function updateCenters(data) {
  return request({
    url: '/system/centers',
    method: 'put',
    data: data
  })
}

// 删除数据中心
export function delCenters(id) {
  return request({
    url: '/system/centers/' + id,
    method: 'delete'
  })
}
