import request from '@/utils/request'

// 查询鲲鹏桌面云主机列表
export function listHosts(query) {
  return request({
    url: '/system/hosts/list',
    method: 'get',
    params: query
  })
}

// 查询鲲鹏桌面云主机详细
export function getHosts(id) {
  return request({
    url: '/system/hosts/' + id,
    method: 'get'
  })
}

// 新增鲲鹏桌面云主机
export function addHosts(data) {
  return request({
    url: '/system/hosts',
    method: 'post',
    data: data
  })
}

// 修改鲲鹏桌面云主机
export function updateHosts(data) {
  return request({
    url: '/system/hosts',
    method: 'put',
    data: data
  })
}

// 删除鲲鹏桌面云主机
export function delHosts(id) {
  return request({
    url: '/system/hosts/' + id,
    method: 'delete'
  })
}
