import request from '@/utils/request'

// 查询AI算力服务列表
export function listInstances(query) {
  return request({
    url: '/system/instances/list',
    method: 'get',
    params: query
  })
}

// 查询AI算力服务详细
export function getInstances(id) {
  return request({
    url: '/system/instances/' + id,
    method: 'get'
  })
}

// 新增AI算力服务
export function addInstances(data) {
  return request({
    url: '/system/instances',
    method: 'post',
    data: data
  })
}

// 修改AI算力服务
export function updateInstances(data) {
  return request({
    url: '/system/instances',
    method: 'put',
    data: data
  })
}

// 删除AI算力服务
export function delInstances(id) {
  return request({
    url: '/system/instances/' + id,
    method: 'delete'
  })
}
