import request from '@/utils/request'

// 查询微服务列表
export function listMicroservices(query) {
  return request({
    url: '/system/microservices/list',
    method: 'get',
    params: query
  })
}

// 查询微服务详细
export function getMicroservices(id) {
  return request({
    url: '/system/microservices/' + id,
    method: 'get'
  })
}

// 新增微服务
export function addMicroservices(data) {
  return request({
    url: '/system/microservices',
    method: 'post',
    data: data
  })
}

// 修改微服务
export function updateMicroservices(data) {
  return request({
    url: '/system/microservices',
    method: 'put',
    data: data
  })
}

// 删除微服务
export function delMicroservices(id) {
  return request({
    url: '/system/microservices/' + id,
    method: 'delete'
  })
}
