import request from '@/utils/request'

// 查询电子政务网列表
export function listNetwork(query) {
  return request({
    url: '/system/network/list',
    method: 'get',
    params: query
  })
}

// 查询电子政务网详细
export function getNetwork(id) {
  return request({
    url: '/system/network/' + id,
    method: 'get'
  })
}

// 新增电子政务网
export function addNetwork(data) {
  return request({
    url: '/system/network',
    method: 'post',
    data: data
  })
}

// 修改电子政务网
export function updateNetwork(data) {
  return request({
    url: '/system/network',
    method: 'put',
    data: data
  })
}

// 删除电子政务网
export function delNetwork(id) {
  return request({
    url: '/system/network/' + id,
    method: 'delete'
  })
}
