import request from '@/utils/request'

// 查询端口开放列表
export function listOpening(query) {
  return request({
    url: '/system/opening/list',
    method: 'get',
    params: query
  })
}

// 查询端口开放详细
export function getOpening(id) {
  return request({
    url: '/system/opening/' + id,
    method: 'get'
  })
}

// 新增端口开放
export function addOpening(data) {
  return request({
    url: '/system/opening',
    method: 'post',
    data: data
  })
}

// 修改端口开放
export function updateOpening(data) {
  return request({
    url: '/system/opening',
    method: 'put',
    data: data
  })
}

// 删除端口开放
export function delOpening(id) {
  return request({
    url: '/system/opening/' + id,
    method: 'delete'
  })
}
