import request from '@/utils/request'

// 查询域名解析列表
export function listResolution(query) {
  return request({
    url: '/system/resolution/list',
    method: 'get',
    params: query
  })
}

// 查询域名解析详细
export function getResolution(id) {
  return request({
    url: '/system/resolution/' + id,
    method: 'get'
  })
}

// 新增域名解析
export function addResolution(data) {
  return request({
    url: '/system/resolution',
    method: 'post',
    data: data
  })
}

// 修改域名解析
export function updateResolution(data) {
  return request({
    url: '/system/resolution',
    method: 'put',
    data: data
  })
}

// 删除域名解析
export function delResolution(id) {
  return request({
    url: '/system/resolution/' + id,
    method: 'delete'
  })
}
