import request from '@/utils/request'

// 查询IP地址资源列表
export function listResources(query) {
  return request({
    url: '/system/resources/list',
    method: 'get',
    params: query
  })
}

// 查询IP地址资源详细
export function getResources(id) {
  return request({
    url: '/system/resources/' + id,
    method: 'get'
  })
}

// 新增IP地址资源
export function addResources(data) {
  return request({
    url: '/system/resources',
    method: 'post',
    data: data
  })
}

// 修改IP地址资源
export function updateResources(data) {
  return request({
    url: '/system/resources',
    method: 'put',
    data: data
  })
}

// 删除IP地址资源
export function delResources(id) {
  return request({
    url: '/system/resources/' + id,
    method: 'delete'
  })
}
