import request from '@/utils/request'

// 查询机房列表
export function listRooms(query) {
  return request({
    url: '/system/rooms/list',
    method: 'get',
    params: query
  })
}

// 查询机房详细
export function getRooms(id) {
  return request({
    url: '/system/rooms/' + id,
    method: 'get'
  })
}

// 新增机房
export function addRooms(data) {
  return request({
    url: '/system/rooms',
    method: 'post',
    data: data
  })
}

// 修改机房
export function updateRooms(data) {
  return request({
    url: '/system/rooms',
    method: 'put',
    data: data
  })
}

// 删除机房
export function delRooms(id) {
  return request({
    url: '/system/rooms/' + id,
    method: 'delete'
  })
}
