import request from '@/utils/request'

// 查询AMS应用网格服务列表
export function listServices(query) {
  return request({
    url: '/system/services/list',
    method: 'get',
    params: query
  })
}

// 查询AMS应用网格服务详细
export function getServices(id) {
  return request({
    url: '/system/services/' + id,
    method: 'get'
  })
}

// 新增AMS应用网格服务
export function addServices(data) {
  return request({
    url: '/system/services',
    method: 'post',
    data: data
  })
}

// 修改AMS应用网格服务
export function updateServices(data) {
  return request({
    url: '/system/services',
    method: 'put',
    data: data
  })
}

// 删除AMS应用网格服务
export function delServices(id) {
  return request({
    url: '/system/services/' + id,
    method: 'delete'
  })
}
